<% 
# Setup some instance variables for the layout

-%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>

    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <%= content_tag 'title',  @page_title1 %>

    <%= stylesheet_link_tag "screen", :media => "screen" %>

    <%= stylesheet_link_tag "alevchuk", :media => "screen" %>
    <%= stylesheet_link_tag "rails", :media => "screen" %>
    <%= stylesheet_link_tag "ansi2html", :media => "screen" %>

    <%# javascript_include_tag "prototype" %>
    <%# javascript_include_tag "effects" %>	

    <%= javascript_include_tag "ucr_cs_department" %>	

  </head>
  <body>


<div id="navigation_box">
<h1 style="display: inline;">Mwamko</h1>
<%= link_to "Home",     :action => "home" %>
<%= link_to "Download", :action => "download" %>
<%= link_to "License",  :action => "license"%>
<%= link_to "Wiki",     :action => "wiki"%>
<%= link_to "Team",     :action => "team"%>
<%= link_to "Links",    :action => "links"%>
</div>





<div id="main_and_login_boxes">
<div id="main_box">

  <%= yield %>

</div>

<div id="login_box">
  <% if flash.include?(:notices) %>
    <% flash[:notices].each do |notice| %>
      <div id="notice"><%= notice %></div>
    <% end -%>
  <% end -%>

  <h1>Login</h1>

      <%=
      if session[:user_id].nil?
	c = []
	c << start_form_tag({:controller => 'login', 
                            :action => 'login'}, 
                            {:name => 'login'})
        
	c << '<label for="name">Email:</label><br />'
	c << text_field_tag(:name, 
                            params[:name])

	c << '<label for="password">Password:</label><br />'

	c <<  password_field_tag(:password, params[:password])

	c << submit_tag('Login')
	c << link_to("Forgot password?", :controller => 'login', 
		                         :action     => 'forgot_passwd' ) 
	     

	c << end_form_tag


        c.join "\n"

      else
        c = []
	c << 'logged in as'
	c << content_tag('i', User.find(session[:user_id]).name)
	c << content_tag('div', 
	link_to ("Logout", :controller=>'login', :action=>'logout'))
	c << content_tag('div', 
	                 link_to ("My Virtual Environments", 
                                  :controller=>'cytoskeleton', 
                                  :action=>'areas'), 
                         :id=>'space_before')
	
	c.join "\n"
      end-%>
    
    <% user_model = User.find_by_id(session[:user_id])%>
    <% if user_model and user_model.is_admin%>
      <div>
      <%= link_to '<b style="color: red;">Admin</b>', 
              :controller=>'admin'
          %>
      </div>
    <% end %>

  <h1>Register</h1>
  <p>Enter your email to create a new account.</p>

  <%= start_form_tag({:controller=> 'login',
                      :action => 'create_student_account'})%>
    <p><label for="student_email">Email:</label><br/>
      <%= text_field 'user', 'email', 
                     :size => 22,
                     :value => 'student@cs.ucr.edu',
		     :id => 'student_email'

      %></p>

    <%= submit_tag "Create Student Account" %>
  <%= end_form_tag %>

 
</div>


</div>

<div style="margin: 2em;">
<%= footer_line %>
</div>

</body>
</html>
